var util = require('../../../../utils/util.js');
var api = require('../../../../config/api');
var user = require('../../../../utils/user.js');
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    rId: 0,
    userName: '',
    avatarUrl: '/static/images/member/get.png', 
    plugid:'0775f898abc4d932f5e9a2f2b8f88bcb', //企微id
    imgList1:[],
    imgList2:[]
  },  
  goIndex() {
    wx.switchTab({
      url: '/pages/index/index',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let rid = options.rId;
    if (rid) {
      this.setData({
        rId: rid
      })
    }
    this.getReferee();
    this.getMemberAd();
  },
  getReferee() {
    util.request(api.ReferrerRidInfo, {
        rId: this.data.rId,
      }, "GET")
      .then((res) => {
        if (res.errno == 0) {
          this.setData({
            userName: res.data.applyName,
            avatarUrl: res.data.avatar
          })
          app.globalData.recommend = {
            userName: res.data.applyName,
            avatarUrl: res.data.avatar
          };

        } else {
          util.showErrorToast(res.errmsg);
        }
      });
  },
  getMemberAd(){
    util.request(api.GetMemberAd, {
			
			},'GET')
			.then(res=>{
				if (res.errno === 0) {
				   this.setData({
               imgList1:res.data.firstPurchase,
               imgList2:res.data.memberActivity
           });
				}
			});
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})