var util = require('../../../utils/util.js');
var api = require('../../../config/api');
var user = require('../../../utils/user.js');
var app = getApp();
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		code:'',
		userInfo:null,
		hasLogin:false,
		memberUserInfo:{
			nickName: '用户',
			avatarUrl: '/static/images/new/icon-user.png',
			level:'0'

		}
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
	 
	},
	codeInput(e){
		 this.setData({
			 code:e.detail.value
		 })
	},
	confirmConvert(){
     if(this.data.code==''){
			wx.showToast({
				title: '请输入兑换码',
				icon: 'none',
				duration: 2000
			});
			
		 }else{
			 this.exchangeMemberCoupon();
		 }
	},
	exchangeMemberCoupon(){
		util.request(api.exchangeMemberCoupon, {
			userId:app.globalData.userInfo.id,
			memberCode:this.data.code
			},'GET')
			.then(res=>{
				console.info(res);
				if (res.errno === 0) {
				
					let endTime=res.data.endTime.substr(0,10);
					wx.navigateTo({
						url: '/pages/member/becomeMember/becomeMember?endTime='+endTime,
					})
				 } else {
					util.showErrorToast(res.errmsg);
				}
				
			});
	},
	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {
		if (app.globalData.hasLogin) {
			let userInfo = wx.getStorageSync('userInfo');
			console.info(userInfo)
      this.setData({
        userInfo: userInfo,
				hasLogin: true,
				memberUserInfo:app.globalData.memberUserInfo
			});
		}else{
			wx.navigateTo({
				url: '/pages/auth/login/login',
			})
		}
	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {

	}
})